import TagRenderer from "../common/renderer/TagRenderer";

const ProductSection = ({ children, section, hidden = false, id }) => {
  if (
    !section ||
    !section.sectionHeaderData ||
    !section.sectionHeaderData.activeSection
  )
    return null;
  return (
    <section className={`w-full ${hidden && "hidden"}`} id={id}>
      <div className={"w-full flex flex-col gap-6 "}>
        {section.sectionHeaderData.activeTitle && (
          <TagRenderer tag={section.sectionHeaderData.titleTag}>
            {section.sectionHeaderData.title}
          </TagRenderer>
        )}
        {children}
      </div>
    </section>
  );
};

export default ProductSection;
